Bug 1000257 - owncloud bundles Flash and Silverlight files
owncloud bundles Flash and Silverlight files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: owncloud (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gregor Tätzner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: WebAssets-BundledBinaries
  Show dependency treegraph
 
Reported: 2013-08-23 00:30 EDT by T.C. Hollingsworth
Modified: 2013-12-21 13:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-20 20:36:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-08-23 00:30:45 EDT
This package contains binary files that are typically excuted by the Flash
player or another similar program.

These files are not permitted in Fedora. [1]  Everything we produce needs to
be built from source. [2]

The offending file(s) shipped in this package are:
/usr/share/owncloud/apps/files_videoviewer/js/flashmediaelement.swf (Flash)
/usr/share/owncloud/apps/files_videoviewer/js/silverlightmediaelement.xap (Silverlight)
/usr/share/owncloud/apps/media/js/Jplayer.swf (Flash)
/usr/share/owncloud/apps/media/js/jQuery.jPlayer.2.2.0.source/actionscript/Jplayer.fla (Flash source)

The .fla files aren't technically prohibited, but are source files and thus
useless to most end users.

If these files are just a fallback for something that is now supported by modern
web standards like the HTML5 <video> element, please just remove the binaries.

If removing these files would seriously cripple your application, please let me
know so we can figure out a solution.

If you have any questions, please shout.  Thanks!

[1] https://fedoraproject.org/wiki/Packaging:Guidelines#No_inclusion_of_pre-built_binaries_or_libraries
[2] https://lists.fedoraproject.org/pipermail/devel/2013-August/187836.html
Comment 1 Fedora Update System 2013-08-23 05:08:18 EDT
owncloud-4.5.13-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/owncloud-4.5.13-3.fc18
Comment 2 Fedora Update System 2013-08-23 05:09:07 EDT
owncloud-4.5.13-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/owncloud-4.5.13-3.fc19
Comment 3 Adam Williamson 2013-08-23 05:13:18 EDT
In addition to the above two updates I have done builds for F20 and Rawhide with the plugins removed. I did a quick check that the two plugins at least function where HTML5 playback is possible, and don't cause Owncloud to explode when it isn't (for videoviewer). Further testing would be appreciated. Only the 'media' and 'videoviewer' apps should be affected.
Comment 4 Fedora Update System 2013-09-14 20:50:42 EDT
owncloud-4.5.13-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-09-14 20:53:24 EDT
owncloud-4.5.13-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Adam Williamson 2013-09-17 15:56:06 EDT
I believe I've now fixed this on all live Fedora branches, but it may need to go to EL6 too.
Comment 7 Fedora Update System 2013-09-17 18:47:31 EDT
owncloud-4.5.13-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/owncloud-4.5.13-3.el6
Comment 8 Adam Williamson 2013-12-20 20:36:18 EST
I've just sent the el6 update stable, so closing.
Comment 9 Fedora Update System 2013-12-21 13:50:04 EST
owncloud-4.5.13-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.